Module | XMLRPC::XMLParser
In: | xmlrpc/parser.rb

### Methods

each_installed_parser

### Classes and Modules

Module XMLRPC::XMLParser::StreamParserMixin
Class XMLRPC::XMLParser::AbstractStreamParser
Class XMLRPC::XMLParser::AbstractTreeParser
Class XMLRPC::XMLParser::NQXMLStreamParser
Class XMLRPC::XMLParser::NQXMLTreeParser
Class XMLRPC::XMLParser::REXMLStreamParser
Class XMLRPC::XMLParser::XMLScanStreamParser
Class XMLRPC::XMLParser::XMLStreamParser
Class XMLRPC::XMLParser::XMLTreeParser

### Constants

XMLParser

=

XMLTreeParser

NQXMLParser | = | NQXMLTreeParser
Classes | = | [XMLStreamParser, XMLTreeParser, NQXMLStreamParser, NQXMLTreeParser, REXMLStreamParser, XMLScanStreamParser]

### Public Class methods

each_installed_parser() {|klass.new| ...}

yields an instance of each installed parser

[Source]

    # File xmlrpc/parser.rb, line 800
        def self.each_installed_parser
          XMLRPC::XMLParser::Classes.each do |klass|
            begin
              yield klass.new
            rescue LoadError
            end
          end
        end

[Validate]